from flask_shopp import create_app, db
from flask_migrate import Migrate, MigrateCommand
from flask_script import Manager

"""
python manage.py db init 初始化一个环境，而且只能执行一次
python manage.py db migrate 生成表结构，并且生成相应的版本
python manage.py db upgrade 映射到数据库中
注意：在执行上述操作的时候，main里面必须是manage.run()，否则，程序不会识别

另外：如果想要在 main里面是manage.run()的情况下执行程序，那么可以输入python manage.py runserver

"""



app = create_app('develop')
manager = Manager(app)
Migrate(app, db)
manager.add_command('db', MigrateCommand)
if __name__ == "__main__":
    #运行程序代码
    app.run()
    #创建数据表的命令
    # manager.run()
